Arbor 3: FSM & BT Graph Editor 3.6.4

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleInt Class Reference

参照方法が複数ある柔軟なint型を扱うクラス。 More...

Inheritance diagram for FlexibleInt:

## Public Member Functions
override object | GetValueObject ()
| 値をobjectで返す。 More...
| FlexibleInt ()
| FlexibleIntデフォルトコンストラクタ More...
| FlexibleInt (int value)
| FlexibleIntコンストラクタ More...
| FlexibleInt (IntParameterReference parameter)
| FlexibleIntコンストラクタ More...
| FlexibleInt (int minRange, int maxRange)
| FlexibleIntコンストラクタ More...
| FlexibleInt (InputSlotInt slot)
| FlexibleIntコンストラクタ More...

## Static Public Member Functions
static | operator int (FlexibleInt flexible)
| FlexibleIntをintにキャスト。 More...
static | operator FlexibleInt (int value)
| intをFlexibleIntにキャスト。 More...

## Properties
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
int | value`[get]`
| 値を返す More...
InputSlotInt | slot`[get]`
| スロットを返す More...
Properties inherited from FlexiblePrimitiveBase
FlexiblePrimitiveType | type`[get]`
| Typeを返す More...

## Additional Inherited Members
Protected Attributes inherited from FlexiblePrimitiveBase
FlexiblePrimitiveType | _Type = FlexiblePrimitiveType.Constant
| プリミティブ型の参照タイプ More...

## Detailed Description

参照方法が複数ある柔軟なint型を扱うクラス。

## Constructor & Destructor Documentation

## ◆ FlexibleInt() [1/5]

FlexibleInt | ( |  | ) |

FlexibleIntデフォルトコンストラクタ

## ◆ FlexibleInt() [2/5]

FlexibleInt | ( | int | value | ) |

FlexibleIntコンストラクタ

Parameters

  value | 値

## ◆ FlexibleInt() [3/5]

FlexibleInt | ( | IntParameterReference | parameter | ) |

FlexibleIntコンストラクタ

Parameters

  parameter | パラメータ

## ◆ FlexibleInt() [4/5]

FlexibleInt | ( | int | minRange,
|  | int | maxRange
| ) |  |

FlexibleIntコンストラクタ

Parameters

  minRange | 最小範囲。
  maxRange | 最大範囲。

## ◆ FlexibleInt() [5/5]

FlexibleInt | ( | InputSlotInt | slot | ) |

FlexibleIntコンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

## ◆ GetValueObject()

override object GetValueObject | ( |  | ) |
| virtual

値をobjectで返す。

Returns
  値のobject

Implements FlexiblePrimitiveBase.

## ◆ operator FlexibleInt()

static operator FlexibleInt | ( | int | value | ) |
| explicit static

intをFlexibleIntにキャスト。

Parameters

  value | int

## ◆ operator int()

static operator int | ( | FlexibleInt | flexible | ) |
| explicit static

FlexibleIntをintにキャスト。

Parameters

  flexible | FlexibleInt

## Property Documentation

## ◆ parameter

Parameter parameter
| get

Parameterを返す。TypeがParameter以外の場合はnull。

## ◆ slot

InputSlotInt slot
| get

スロットを返す

## ◆ value

int value
| get

値を返す